# seo-content-generation-with-cursor

**Tip:** Run commands in Cursor IDE agent mode.

## Prompts:

Create a blog post about {{YOUR_TOPIC}} in @seo-formatting.md.

## Examples:

- Create a blog post about why claude 3.7 best llm model for coding

## Use Case:

This example demonstrates how to use Cursor AI to generate SEO-optimized blog content quickly and efficiently. Here's how it works:

1. **Purpose**: Automatically generate well-structured, SEO-friendly blog posts on any topic using predefined templates.

2. **Workflow**:
   - Enter a prompt with your desired topic in Cursor's agent mode
   - The AI uses the SEO templates to generate content following best practices
   - The content includes proper heading hierarchy, keyword placement, and formatting
   - The output is saved as a markdown file in the content/blog directory
   - The automated checklist system verifies SEO compliance and marks completed tasks

3. **Benefits**:
   - Consistent SEO structure across all blog posts
   - Time savings on content creation
   - Built-in SEO optimization following the checklist
   - Automatic verification of SEO requirements
   - Easy to customize templates for different content types

4. **Example Usage**:
   - Content marketing teams needing regular blog posts
   - Developers documenting projects with SEO in mind
   - Technical writers creating tutorial content
   - Small businesses building their online presence

## Automated SEO Checklist Verification

This project includes an automated system that verifies blog posts against SEO requirements and automatically checks off completed tasks in the SEO checklist:

1. **How It Works**:
   - When blog posts are created or modified, the system automatically analyzes them
   - Each item in the SEO checklist is verified using specific criteria
   - Completed items are marked as [x] in the checklist
   - The blog post is added to the "Completed Blog Posts" section

2. **Starting the Automation**:
   ```bash
   ./scripts/start-checklist-automation.sh
   ```

3. **Stopping the Automation**:
   ```bash
   ./scripts/stop-checklist-automation.sh
   ```

For more details on the automation system, see the [Automation Guide](docs/automation-guide.md).