---
description: blog creating - todos
globs: 
alwaysApply: false
---
## Stage 1: Initial Content Planning

- [ ] Primary keyword appears in title
- [ ] Primary keyword appears in H1
- [ ] Primary keyword appears in first paragraph (within first 100 words)
- [ ] Primary keyword appears in meta description
- [ ] URL is SEO-friendly and includes target keyword
- [ ] Meta description is 150-160 characters
- [ ] Author and publisher information is defined in frontmatter

## Stage 2: Key Takeaways Development

- [ ] Key Takeaways section is included after introduction
- [ ] Key Takeaways contain 4-5 bullet points with main points
- [ ] Key Takeaways include primary and secondary keywords naturally

## Stage 3: Content Structure Development

- [ ] Single H1 with primary keyword
- [ ] Logical hierarchy of H2 and H3 headings
- [ ] Secondary keywords are used naturally throughout the content
- [ ] Keyword density falls within recommended range (1.5-2% for primary)
- [ ] Related terms and LSI keywords are included
- [ ] No keyword stuffing or unnatural repetition
- [ ] Paragraphs are concise (3-4 sentences max)
- [ ] Content includes lists for better readability
- [ ] Content includes a table when comparing options/features
- [ ] Content includes code examples if relevant to topic
- [ ] Content is comprehensive and addresses user intent

## Stage 4: Visual and Link Enhancement

- [ ] Images have descriptive alt text with keywords where appropriate
- [ ] Content includes internal links to related content (2-4 per 1000 words)
- [ ] Content includes relevant external links to authoritative sources
- [ ] Links work correctly and open in appropriate tabs
- [ ] Images display correctly on all devices
- [ ] Page load speed is optimized (images compressed, etc.)

## Stage 5: Conclusion and Call-to-Action

- [ ] Conclusion summarizes key points
- [ ] Call-to-action is clear and compelling
- [ ] Content fulfills the promise made in the title and introduction
- [ ] Writing style is appropriate for target audience
- [ ] No spelling or grammar errors
- [ ] Content is easy to read and scan
- [ ] Mobile responsiveness is confirmed

## Stage 6: Technical SEO and Schema Implementation

- [ ] Appropriate schema.org markup is implemented
- [ ] Article schema includes all required properties
- [ ] FAQ schema is applied to the FAQ section
- [ ] HowTo schema is applied if content is a tutorial
- [ ] Content is factually accurate and up-to-date
- [ ] Content provides unique value not found elsewhere
